package net.roseindia.controller;

import java.util.List;
import java.util.Map;

import javax.validation.Valid;

import net.roseindia.model.LoginForm;
import net.roseindia.service.MyService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class AnnotationController {

	private MyService myService;

	@Autowired
	public void setMyService(MyService myService) {
		this.myService = myService;
	}

	@RequestMapping("/loginForm.html")
	public String loadForm(Map model) {
		return "loginForm";
	}

	@ModelAttribute("loginForm")
	public LoginForm returnModel() {
		return new LoginForm();
	}

	@ModelAttribute("countryList")
	public List loadCounties() {
		return myService.loadCountry();
	}

	@RequestMapping("/display.html")
	public String responseForm(Map model, @Valid LoginForm loginForm) {
		if (loginForm.getLoginID() != "" && loginForm.getPassword() != ""){
			return "displayDetail";
		}
		return "loginForm";
	}
}